{
  pkgs,
  lib,
  config,
  inputs,
  ...
}:

{
  # https://devenv.sh/basics/
  env.GREET = "devenv";

  # https://devenv.sh/packages/
  packages = [
    pkgs.source-sans
    pkgs.roboto
    pkgs.font-awesome
  ];

  # https://devenv.sh/languages/
  languages.typst = {
    enable = true;
    fontPaths = [
      "${pkgs.source-sans}/share/fonts/opentype"
      "${pkgs.font-awesome}/share/fonts"
      "${pkgs.roboto}/share/fonts/truetype"
    ];
    lsp.enable = false;
  };

  # https://devenv.sh/processes/
  # processes.dev.exec = "${lib.getExe pkgs.watchexec} -n -- ls -la";

  # https://devenv.sh/services/
  # services.postgres.enable = true;

  # https://devenv.sh/scripts/
  scripts = {
    cv-fr-watch.exec = ''
      typst watch cv.typ --input profile=fr
    '';
    cv-fr-build.exec = ''
      typst compile cv.typ --input profile=fr
    '';
  };

  # https://devenv.sh/basics/
  enterShell = "";

  # https://devenv.sh/tasks/
  # tasks = {
  #   "myproj:setup".exec = "mytool build";
  #   "devenv:enterShell".after = [ "myproj:setup" ];
  # };

  # https://devenv.sh/tests/
  enterTest = "";

  # https://devenv.sh/git-hooks/
  # git-hooks.hooks.shellcheck.enable = true;

  # See full reference at https://devenv.sh/reference/options/
}
